import { InstanceService } from '@/services/InstanceService';

export class ActivitiesDemandManagement {
	public static async reloadActivitiesDemandManagement(callRelationship: any) {
		try {
			const gridTaskS = InstanceService.getInstanceTekGrid('gridTaskS');
			const gridItemTaskS = InstanceService.getInstanceTekGrid('gridItemTaskS');
			gridTaskS.datasource.filter.NRSOLISERV = callRelationship;
			gridItemTaskS.datasource.filter.NRSOLISERV = callRelationship;
			gridItemTaskS.datasource.filter.NRTAREFA = null;
			await gridTaskS.datasource.get();
			if (gridTaskS.datasource.data[0]) {
				gridTaskS.datasource.currentRow = gridTaskS.datasource.data[0];
			}
		} catch (e) {
			setTimeout(async () => {
				await ActivitiesDemandManagement.reloadActivitiesDemandManagement(callRelationship);
			}, 500);
		}
	}
}
